[Overview][Constants][Types][Classes][Procedures and functions][Index] | Reference for unit 'contnrs' (#fcl)

# TCustomBucketList.Add

Add an item to the list

## Declaration

Source position: contnrs.pp line 530

`public function TCustomBucketList.Add(`
`AItem: Pointer;`
`AData: Pointer`
`):Pointer;`

## Arguments

`AItem` |  | Item to add to the list. Must uniquely identify AData.
`AData` |  | Data to be associated with AItem

## Function result

The result is always AData

## Description

Add adds AItem with it's associated AData to the list and returns AData.

## Errors

If AItem is already in the list, an ElistError exception will be raised.

## See also

TCustomBucketList.Exists |  | Check if an item exists in the list.
TCustomBucketList.Clear |  | Clear the list

Documentation generated on: Feb 26 2014